Subject: Re: commitfest.postgresql.org is no longer fit for purpose

From: Robert Haas <[email-masked]>
Date: Mon, 20 May 2024 10:18:57 -0400

On Mon, May 20, 2024 at 7:49 AM Alvaro Herrera <[email-masked]> wrote:
> On 2024-May-19, Tom Lane wrote:
> > (The cfbot tends to discourage this, since as soon as one of the
> > patches is committed it no longer knows how to apply the rest.
> > Can we improve on that tooling somehow?)
>
> I think a necessary next step to further improve the cfbot is to get it
> integrated in pginfra.  Right now it runs somewhere in Thomas's servers
> or something, and there's no real integration with the commitfest proper
> except by scraping.

Yes, I think we really need to fix this. Also, there's a bunch of
mechanical work that could be done to make cfbot better, like making
the navigation not reset the scroll every time you drill down one
level through the build products.

I would also like to see the buildfarm and CI converged in some way.
I'm not sure how. I understand that the buildfarm tests more different
configurations than we can reasonably afford to do in CI, but there is
no sense in pretending that having two different systems doing similar
jobs has no cost.

-- 
Robert Haas
EDB: http://www.enterprisedb.com